load result_fig_30s_10;
for i_data_list = 1:length(result_fig)
    One =  result_fig{i_data_list};
    
    his1 = One.his1;his2 = One.his2;his3 = One.his3;his4 = One.his4;his5 = One.his5;
    ts1 = One.ts1;ts2 = One.ts2;ts3 = One.ts3;ts4 = One.ts4;ts5 = One.ts5;
    
    minf = min([his1(:);his2(:);his3(:);his4(:);his5(:)]);
    tss = [ts1(:);ts2(:);ts3(:);ts4(:);ts5(:)];
    his1 = his1 - minf;
    his2 = his2 - minf;
    his3 = his3 - minf;
    his4 = his4 - minf;
    his5 = his5 - minf;
    new_fs = [his1;his2;his3;his4;his5];

    
    pcolor = loadcolor;
    figure('color','w')
    myplot = @semilogy;
    myplot(ts1,his1,'--','LineWidth',5,'MarkerSize',3,'color', pcolor.purple); hold on;
    myplot(ts2,his2,':','LineWidth',4,'MarkerSize',3,'color',  pcolor.green); hold on;
    myplot(ts3,his3,'-.','LineWidth',5,'MarkerSize',3,'color', pcolor.blue); hold on;
    myplot(ts4,his4,'-','LineWidth',4,'MarkerSize',3,'color', pcolor.orange); hold on;
    myplot(ts5,his5,'-' ,'LineWidth',5,'MarkerSize',3,'color', pcolor.red); hold on;
    hleg=legend('LADMM(id)','PADM(id)','LADMM(rnd)','PADM(rnd)','OBCD-R(id)');
    set(hleg,'FontSize',15,'FontWeight','normal');
    set(hleg,'Fontname','times new Roman');
    set(hleg,'Location','NorthEast');
    set(gca,'Fontsize', 17);
    xlabel('Time (seconds)','FontSize',20)
    ylabel('Objective','FontSize',20)
    grid on


    axis([min(tss) max(tss) 0 max(new_fs)])
    
    set(gcf,'paperpositionmode','auto')
    print(sprintf('%s_%d.eps',mfilename,i_data_list),'-depsc2','-loose');
    print(sprintf('%s_%d.png',mfilename,i_data_list),'-dpng');
    
end

